--Initial Variable settings, if the variable is nil it will use these values
SF_Pet_Bar = true;
SF_Pet_Bar_Locked = true;


	function Semi_Pet_Bar_OnLoad(self)
		SemiPetBar_HidePetArt();
		self:RegisterEvent("PLAYER_ENTERING_WORLD");
		self:RegisterEvent("ADDON_LOADED");
	end

	function Semi_Pet_Bar_OnEvent(self, event, ...)
		if ( event == "PLAYER_ENTERING_WORLD" or event=="ADDON_LOADED" ) then
			if ( SF_Pet_Bar_Locked ) then
				Semi_Pet_Bar_LockBars();
			else
				Semi_Pet_Bar_UnLockBars();
			end
		end
		SetPetBarScale(Semi_PetBar_Scale);
	end

	function SemiPetBar_HidePetArt()
		PetActionBarFrame:EnableMouse("false");
		SlidingActionBarTexture0:SetAlpha(0);
		SlidingActionBarTexture1:SetAlpha(0);
	end

	function Semi_Construct_Pet_Bar()
		for i=1, 10 do
			pet_button = _G["PetActionButton"..i];
			if (pet_button ~= nil) then
				pet_button:ClearAllPoints();
				x_coord = 0 + ((i - 1) * 38);
				y_coord = 0;
				pet_button:SetPoint("BOTTOMLEFT", SemiPetBar, "BOTTOMLEFT", x_coord, y_coord);
			end
		end
	end

	function Semi_Link_Pet_BarToDragButton()
		SemiPetBar:ClearAllPoints();
		SemiPetBar:SetPoint("BOTTOMLEFT", SemiPetBarDragButton, "TOPRIGHT");
		if ( SF_Pet_Bar_Locked ) then
			Semi_Pet_Bar_LockBars();
		else
			Semi_Pet_Bar_UnLockBars();
		end
		SetPetBarScale(Semi_PetBar_Scale);	
	end
	
	function SetPetBarScale(scale)
		for i=1, 10 do
			_G["PetActionButton"..i]:SetScale(scale);
		end
	end

	function Semi_Pet_Bar_LockBars()
	    SemiPetBarDragButton:SetAlpha(0);
		SemiPetBarDragButton:EnableMouse("false");
		SF_Pet_Bar_Locked = true;
	end


	function Semi_Pet_Bar_UnLockBars()
		SemiPetBarDragButton:SetAlpha(1);
	    SemiPetBarDragButton:EnableMouse("true");
		SF_Pet_Bar_Locked = false;
	end
	
